Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hornetq.rest
Class HttpHeaderProperty

    java.lang.Object
      org.hornetq.rest.HttpHeaderProperty

    public class HttpHeaderProperty

extends java.lang.Object

Field Summary
`static java.lang.String` | `CONTENT_TYPE`

Constructor Summary
`HttpHeaderProperty()`

Method Summary
`static java.lang.String` | `fromPropertyName(java.lang.String name)` Converts a JMS property name to an HTTP header name.
`static java.lang.String` | `toPropertyName(java.lang.String httpHeader)` Converts an HTTP header name to a selector compatible property name.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### CONTENT_TYPE

    public static final java.lang.String CONTENT_TYPE

See Also:
  Constant Field Values

Constructor Detail

### HttpHeaderProperty

    public HttpHeaderProperty()

Method Detail

### toPropertyName

    public static java.lang.String toPropertyName(java.lang.String httpHeader)

  Converts an HTTP header name to a selector compatible property name. '-' character is converted to '$'. The return property name will also be all lower case with an "http_" prepended. For example "Content-Type" would be converted to "http_content$type";

  Parameters:
    `httpHeader` -
  Returns:

### fromPropertyName

    public static java.lang.String fromPropertyName(java.lang.String name)

  Converts a JMS property name to an HTTP header name.

  Parameters:
    `name` -
  Returns:
    null if property name isn't an HTTP header name.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012. All Rights Reserved.